import App from './App'
import uViewNext from '@/uni_modules/uview-next';
import httpConfig from './http/config/request.js';

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
Vue.use(uViewNext)
App.mpType = 'app'
const app = new Vue({
  ...App
})

// 引入HTTP请求配置，将app参数传递到配置中
httpConfig(app)

app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  app.use(uViewNext)

  // 引入HTTP请求配置
  httpConfig(app)

  return {
    app
  }
}
// #endif